Description

When you download a kar from a remote repository via kepler, you typically:
*Click Sources and configure Preferences->Components to check-mark a remoteRepository

e Search Components for your term (As the very slow search occurs (bug#5276), the entire Kepler Ul locks up and no busy
cursor is shown)

¢ Right-click on a result kar, and select Download.

¢ Click cancel to clear the search results

The kar is placed in your MyWorkflows dir, but if this is the first kar put there, MyWorkflows does not show up in the Components tree
until you take some other action that 'rebuilds' the tree, e.g. clicking the Build button beneath Sources->Components, or sav

To fix this bug:

e During Components search, only lock the Components panel, and show a busy cursor.
¢ Display the MyWorkflows dir after a first KAR is downloaded into it.

In the same ballpark is bug#4953. Also, strangely if you go through the scenario above, and subsequently save a new workflow into
MyWorkflows, MyWorkflows continues to not show up, even though if you just start kepler fresh, don't do a remote search, and save
a first workflow into MyWorkflows it will.

History

#1 - 03/27/2012 04:24 PM - Derik Barseghian
At r29644 MyWorkflows is shown after first kar download.

#2 - 03/27/2012 06:22 PM - Derik Barseghian

A wait cursor does show when Component Search is started by clicking the Search button. It doesn't if you hit enter in the search field, which seems
to me the more common case. | tried unsuccessfully to fix it at r29645. See also this thread which might be relevant:

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4132824

#3 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5581

#4 - 08/19/2015 10:41 AM - Daniel Crawl
- Target version changed from 2.5.0 to 2.X.Y
